Package org.bukkit.inventory

# Enum Class EquipmentSlot

java.lang.Object
java.lang.Enum<EquipmentSlot>
org.bukkit.inventory.EquipmentSlot

All Implemented Interfaces:
  `Serializable`, `Comparable<EquipmentSlot>`, `Constable`

public enum EquipmentSlot extends Enum<EquipmentSlot>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHEST`
`FEET`
`HAND`
`HEAD`
`LEGS`
`OFF_HAND`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isArmor()`
Checks whether this equipment slot is one of the armor slots: `HEAD`, `CHEST`, `LEGS`, or `FEET`
`boolean`
`isHand()`
Checks whether this equipment slot is a hand: either `HAND` or `OFF_HAND`
`static EquipmentSlot`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EquipmentSlot[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HAND

public static final EquipmentSlot HAND

### OFF_HAND

public static final EquipmentSlot OFF_HAND

### FEET

public static final EquipmentSlot FEET

### LEGS

public static final EquipmentSlot LEGS

### CHEST

public static final EquipmentSlot CHEST

### HEAD

public static final EquipmentSlot HEAD

## Method Details

### values

public static EquipmentSlot[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EquipmentSlot valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isHand

public boolean isHand()
Checks whether this equipment slot is a hand: either `HAND` or `OFF_HAND`

Returns:
  whether this is a hand slot

### isArmor

public boolean isArmor()
Checks whether this equipment slot is one of the armor slots: `HEAD`, `CHEST`, `LEGS`, or `FEET`

Returns:
  whether this is an armor slot